package com.template.services;

import com.template.model.pojo.SmartBuild;
import com.template.model.pojo.SmartClass;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-25
 */
public interface SmartClassService extends IService<SmartClass> {
    int updateSmartClass(SmartClass sc);

    SmartClass querySmartClassById(Integer id);

    List<SmartClass> getSmartClasss();

    int existSmartClass(String className, Integer gradeId);

    int insertSmartClass(SmartClass sc);

    SmartClass getSmartClassById(int id);

    List<SmartClass> getSmartClassByGradeID(Integer gradeId);

    SmartClass existSmartClassData(Integer gradeId, String name, Integer classNo);

    PageUtils<SmartClass> queryPageSmartClass(int currentPage, int pageCount, String name);
}
